<?php

namespace App\Models\Enums;

enum ObjectAction: string
{
    case UPLOADED = "uploaded";

    case UNDELETED = "undeleted";

    case SUBMITTED = "submitted";

    case STARTED = "started";

    case REVIEWED = "reviewed";

    case RESTARTED = "restarted";

    case RESPOND = "respond";

    case PAUSED = "paused";

    case OPENED = "opened";

    case MOVED = "moved";

    case ISSUED = "issued";

    case FINISHED = "finished";

    case CREATED = "created";

    case EDITED = "edited";

    case DONE = "done";

    case DELAY = "delay"; //延迟

    case DELETED = "deleted";

    case CONFIRMED = "confirmed";

    case CLOSED = "closed";

    case CHANGED = "changed";

    case CANCELED = "canceled";

    case ASSIGNED = "assigned";
}
